using SqlSugar;
using System;

namespace YBDevice.Entity
{
    /// <summary>
    /// 科普资讯类型
    /// </summary>
    [SugarTable("YB_SecInfoType", TableDescription = "科普资讯类型", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_SecInfoType
    {

        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }

        /// <summary>
        /// 分组名称
        /// </summary>
        [SugarColumn(ColumnDescription = "分组名称", ColumnDataType = "nvarchar(50)")]
        public string Name { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDescription = "备注", ColumnDataType = "nvarchar(100)")]
        public string Remark { get; set; }

        /// <summary>
        /// 状态,0-禁用,1-启用
        /// </summary>
        [SugarColumn(ColumnDescription = "状态,0-禁用,1-启用")]
        public StatusType Status { get; set; }

        /// <summary>
        /// 排序,数字越小越靠前
        /// </summary>
        [SugarColumn(ColumnDescription = "排序,数字越小越靠前")]
        public int SortCode { get; set; }

        /// <summary>
        /// 商户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "商户ID")]
        public int BusienssId { get; set; }
        /// <summary>
        /// 添加时间
        /// </summary>
        [SugarColumn(ColumnDescription = "添加时间")]
        public DateTime CreateTime { get; set; }
    }
}
